CVE-2020-2234

Name
CVE-2020-2234
Description
A missing permission check in Jenkins Pipeline Maven Integration Plugin 3.8.2 and earlier allows users with Overall/Read access to connect to an attacker-specified JDBC URL using attacker-specified credentials IDs obtained through another method, potentially capturing credentials stored in Jenkins.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
Vendor Advisory https://jenkins.io/security/advisory/2020-08-12/#SECURITY-1794%20(2)
Mailing List http://www.openwall.com/lists/oss-security/2020/08/12/4

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:jenkins:pipeline_maven_integration:*:*:*:*:*:jenkins:*:* jenkins >= None <= 3.8.2

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
jenkins 3.13-community 2.287-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable
jenkins 3.14-community 2.297-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable
jenkins edge-community 2.303-r0 Francesco Colista <fcolista@alpinelinux.org> possibly vulnerable